io.vertx.rxjava.ext.web.handler

## Class RedirectAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.RedirectAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class RedirectAuthHandler
      extends Object
      implements AuthHandler, Handler<RoutingContext>

  An auth handler that's used to handle auth by redirecting user to a custom login page.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedirectAuthHandler>` | `__TYPE_ARG`
    `static String` | `DEFAULT_LOGIN_REDIRECT_URL` Default path the user will be redirected to
    `static String` | `DEFAULT_RETURN_URL_PARAM` Default name of param used to store return url information in session

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectAuthHandler(RedirectAuthHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `void` | `authorize(User user, Handler<AsyncResult<Void>> handler)` Authorizes the given user against all added authorities.
    `Observable<Void>` | `authorizeObservable(User user)` Deprecated. use `rxAuthorize(io.vertx.rxjava.ext.auth.User)` instead
    `static AuthHandler` | `create(AuthProvider authProvider)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL)` Create a handler
    `static AuthHandler` | `create(AuthProvider authProvider, String loginRedirectURL, String returnURLParam)` Create a handler
    `boolean` | `equals(Object o)`
    `RedirectAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static RedirectAuthHandler` | `newInstance(RedirectAuthHandler arg)`
    `void` | `parseCredentials(RoutingContext context, Handler<AsyncResult<JsonObject>> handler)` Parses the credentials from the request into a JsonObject.
    `Observable<JsonObject>` | `parseCredentialsObservable(RoutingContext context)` Deprecated. use `rxParseCredentials(io.vertx.rxjava.ext.web.RoutingContext)` instead
    `Single<Void>` | `rxAuthorize(User user)` Authorizes the given user against all added authorities.
    `Single<JsonObject>` | `rxParseCredentials(RoutingContext context)` Parses the credentials from the request into a JsonObject.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedirectAuthHandler> __TYPE_ARG

    - #### DEFAULT_LOGIN_REDIRECT_URL

          public static final String DEFAULT_LOGIN_REDIRECT_URL

      Default path the user will be redirected to
      See Also:
        Constant Field Values

    - #### DEFAULT_RETURN_URL_PARAM

          public static final String DEFAULT_RETURN_URL_PARAM

      Default name of param used to store return url information in session
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RedirectAuthHandler

          public RedirectAuthHandler(RedirectAuthHandler delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedirectAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `event` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### parseCredentials

          public void parseCredentials(RoutingContext context,
                                       Handler<AsyncResult<JsonObject>> handler)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Specified by:
        `parseCredentials` in interface `AuthHandler`
      Parameters:
        `context` - the routing context
        `handler` - the handler to be called once the information is available.

    - #### parseCredentialsObservable

          @Deprecated
          public Observable<JsonObject> parseCredentialsObservable(RoutingContext context)

      Deprecated. use `rxParseCredentials(io.vertx.rxjava.ext.web.RoutingContext)` instead
      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
      Returns:

    - #### rxParseCredentials

          public Single<JsonObject> rxParseCredentials(RoutingContext context)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
      Returns:

    - #### authorize

          public void authorize(User user,
                                Handler<AsyncResult<Void>> handler)

      Authorizes the given user against all added authorities.
      Specified by:
        `authorize` in interface `AuthHandler`
      Parameters:
        `user` - a user.
        `handler` - the handler for the result.

    - #### authorizeObservable

          @Deprecated
          public Observable<Void> authorizeObservable(User user)

      Deprecated. use `rxAuthorize(io.vertx.rxjava.ext.auth.User)` instead
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
      Returns:

    - #### rxAuthorize

          public Single<Void> rxAuthorize(User user)

      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
      Returns:

    - #### create

          public static AuthHandler create(AuthProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          public static AuthHandler create(AuthProvider authProvider,
                                           String loginRedirectURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
      Returns:
        the handler

    - #### create

          public static AuthHandler create(AuthProvider authProvider,
                                           String loginRedirectURL,
                                           String returnURLParam)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
        `returnURLParam` - the name of param used to store return url information in session
      Returns:
        the handler

    - #### newInstance

          public static RedirectAuthHandler newInstance(RedirectAuthHandler arg)

Copyright © 2018 Eclipse. All rights reserved.